Subject: Install options - was -> RE: Where is this cygwin1.dll ?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Cameron Summers <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Nov 2001 20:27:36 -0500

Hi Cameron,

I've redirected my response back to the list in case someone in the 
future has a similar problem and decides to check the email archives 
for the answer.  I assume this won't alarm you.

After reading the account of the process you undertook to install 
Cygwin, I just have to say... EGADS!  The setup process must be cryptic!
It never occurred to me that someone would actually just download the 
packages to one's machine (via setup) and then believe that the 
installation process required some other tool.  I guess that just goes
to show you that newcomers can have a much different view of some 
software than those who are used to it.

I can understand your confusion a little better now.  These options 
should be more self-documenting I guess (or maybe we need to rename 
"Install from Internet" to "Basic/typical install" and put the other
two options under "Advanced".  Unless you understand what the last 
two options mean, you should always use the first "Install from Internet".
"Install from Internet" will download everything you need and *install* it.  
"Download from Internet" only downloads the software.  You then need to 
run setup again and choose "Install from Local Directory" if you actually
want to install what's been downloaded.  You most certainly do not need to
figure out how to unpack all the packages yourself, using tools from other
sources.  To be honest, doing so is completely unsupported by this list.
We highly discourage the use of WinZip or any tool other than setup for
installations, because they always lead to broken installations.

I expect this is enough information for you to resolve your installation
issues.  If not, you may find it useful to look at the following URL:

http://www.cygwin.com/download.html

As it turns out, this link is on the Cygwin home page (www.cygwin.com)
about half way down where it says "read about additional download options".
It explains pretty much what I did above plus one other installation 
method available for the "Really Advanced".  Like I said, I don't 
recommend anything other than "Install from Internet" for Cygwin newcomers.
But now that you've taken part of the "Advanced" root, you can choose to 
complete that path and install Cygwin from your download directory or you
can start again and install directly from the Internet.  Either will get
you a working Cygwin environment.

Good luck,

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 06:32 PM 11/8/2001, Cameron Summers wrote:
>Larry, I followed all the instructions not once, not twice, infact so many
>times I can download without looking at the prompts.
>
>First off I saved the setup(1).exe to temp folder and ran it, prompting me
>with three choices, I chose to download files from Internet, this time
>storing files in c:\cygwin. I used IE5 settings, put in my proxy userid and
>password (to get past our firewall) and selected ftp://panetmirror.com which
>downloaded the setup.ini. I know I probably didn't need to but I selected
>everypackage.
>  <<...OLE_Obj...>> 
>hit 'next' and hey presto the files downloaded to c:\cygwin, creating
>contrib, etc and latest sub-directories, each with their own subsequent
>subdirectories.
>
>When downloading finished, I checked out these newly created folders and
>opened the tar files in Winzip. Yeah I know the documentation called for
>something other than Winzip, but Question, where does this unzipping utility
>live?
>
>Now some of the files like which-1.4.tar.gz has contents retrievable via
>winzip, so obviously for speed and ease this is what I used, unzipping to
>c:\usr\bin. Excellent which.exe is now available, alas on trying it out I
>got the message....
>
>  <<...OLE_Obj...>> 
>I scanned the whole of c:\....nothing and hence my question, or rather now
>that you know all my steps, where am I going wrong?
>
>And before you answer, thanks for the earlier prompt reply by the way, you
>have eased a little of my frustration.
>  
>
>Cheers
>Cameron
>
> > -----Original Message-----
> > From: Larry Hall (RFK Partners, Inc) [SMTP:[email-masked]]
> > Sent: Thursday, November 08,2001 5:02 PM
> > To:   Cameron Summers; [email-masked]'
> > Subject:      Re: Where is this cygwin1.dll ?
> > 
> > At 05:48 PM 11/8/2001, Cameron Summers wrote:
> > >Your website refers to A DLL (cygwin1.dll) which acts as a UNIX emulation
> > >layer providing substantial UNIX API functionality.
> > >I have tried to locate this cygwin1.dll file but can not find it
> > anywhere.
> > >Can you tell me how/where I can obtain this file? without it of course
> > your
> > >software will not work.
> > 
> > 
> > Go to www.cygwin.com and click on "Install Cygwin now".  If this doesn't
> > resolve your issues, refer to the FAQs, specifically:
> > 
> > What packages should I download?
> > http://www.cygwin.com/faq/faq_2.html#SEC13
> > 
> > and
> > 
> > What if setup fails?
> > http://www.cygwin.com/faq/faq_2.html#SEC15
> > 
> > 
> > I'm curious, how did you get to the Web site and not understand that this
> > was the way to install the software?
> > 
> > 
> > 
> > 
> > 
> > 
> > Larry Hall                              [email-masked]
> > RFK Partners, Inc.                      http://www.rfk.com
> > 838 Washington Street                   (508) 893-9779 - RFK Office
> > Holliston, MA 01746                     (508) 893-9889 - FAX
> > 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/